.tma-notification-container {
    position: fixed;
    z-index: 9999;
}

.tma-notification-container.bottom-right {
    bottom: 1em;
    right: 1em;
}

.tma-notification-container.top-right {
    top: 1em;
    right: 1em;
}

.tma-notification-container.bottom-left {
    bottom: 1em;
    left: 1em;
}

.tma-notification-container.top-left {
    top: 1em;
    left: 1em;
}

.tma-notification {
    background: rgba(0, 0, 0, 0.8);
    color: #ecf0f1;
    padding: 20px;
    border-radius: 8px;
    margin-bottom: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: row;
    transition: opacity 0.3s ease;
    max-width: 400px;
    border-left: 5px solid;
    position: relative;
}

.tma-notification-hide {
    opacity: 0;
}

.tma-notification-content-container {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    margin-right: 10px;
}

.tma-notification-icon {
    font-size: 1.5em;
    align-self: center;
}

.tma-notification-title {
    font-weight: bold;
    font-size: 1.1em;
    margin-bottom: 5px;
}

.tma-notification-message {
    font-size: 0.95em;
    word-wrap: break-word;
    color: #aaa;
}

.tma-notification-close {
    position: absolute;
    top: 10px;
    right: 10px;
    background: transparent;
    border: none;
    color: #ecf0f1;
    font-size: 1.5em;
    cursor: pointer;
    padding: 0;
}

.tma-notification-image {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 15px;
}